All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.awt
Class Container

    com.sas.awt.Container

All Implemented Interfaces:
  ContainerInterface, com.sas.awt.print.PrintableInterface, VisualInterface, com.sas.beans.PropertyChangeSource, com.sas.beans.VetoableChangeSource, com.sas.ComponentInterface, com.sas.DesignTimeDropTargetInterface, com.sas.LinkPropertiesInterface, com.sas.ModelInterface, ValidatorInterface, com.sas.ViewInterface, MultipleValueEventSourceInterface, java.awt.image.ImageObserver, java.awt.MenuContainer, java.beans.PropertyChangeListener, java.io.ObjectInputValidation, java.io.Serializable, java.util.EventListener

Direct Known Subclasses:
  BorderedContainer, ButtonPanel, CompositeContainer, IndexedPropertyEditorHost, OrientationSelector, UpDownTextArea

    public class Container

Container is a subclass of java.awt.Container which implements the ComponentInterface, VisualInterface, and ContainerInterface.

The default constructor for the Container sets the layout manager to null.

See Also:
  Serialized Form

Constructor Summary
`Container()` The default constructor.
`Container(java.awt.LayoutManager layoutManager)` Constructor that allows a layout manager to be set at creation.

Method Summary
`static int` | `getDefaultHeight()` Returns the default height for instances of this class
`static int` | `getDefaultWidth()` Returns the default width for instances of this class
`static com.sas.beans.ExtendedBeanInfo` | `getExtendedBeanInfo()` Returns the ExtendedBeanInfo for this class.
`static void` | `setDefaultHeight(int newDefaultHeight)` Sets the default height of the component.
`void` | `setDefaultValues()` Sets default values which are different than the parent classes.
`static void` | `setDefaultWidth(int newDefaultWidth)` Sets the default width of the component.

Methods inherited from class com.sas.awt.ContainerContainerComponent
`addNotify, clone, dragEnter, dragLeave, dragOver, drop, getContainerInterfaceSupportInfo, getErrorHandler, getInsets, getValidator, isIDEDnDDropBarrier, isIDEDnDDropTarget, isValid, removeNotify, setContainerInterfaceSupportInfo, setErrorHandler, setIDEDnDDropBarrier, setIDEDnDDropTarget, setInsets, setInsets, setValidator, superAddNotify, superGetInsets, superRemoveNotify, superSetDefaultValues`

Methods inherited from class com.sas.awt.ContainerVisualComponent
`addLink, addPropertyChangeListener, addVetoableChangeListener, anyPropertyChangeListeners, attachModel, attachView, computePreferredSize, detachModel, detachView, dumpComponent, firePropertyChange, firePropertyChange, fireVetoableChange, getBackgroundColor, getBorder, getComponentDescription, getComponentSupportInfo, getEventMethod, getEventValues, getFont, getForegroundColor, getHeight, getHorizontalPosition, getLinkInfo, getMinimumSize, getModelInterface, getPageBounds, getPreferredSize, getPrePainter, getPrintOptionsPanel, getRequiredInterfaces, getVerticalPosition, getViewInterfaceSupportInfo, getVisualInterfaceSupportInfo, getWidth, initialize, initializeComponent, isDesignTime, isEnabled, isFocus, isLinked, isTransparent, isVisible, pageExists, paint, print, printFinalize, printInitialize, propertyChange, queryLinks, queryLinks, refresh, removeAllLinks, removeInterfaceTraps, removeLink, removePropertyChangeListener, removeVetoableChangeListener, setBackgroundColor, setBorder, setBounds, setComponentDescription, setComponentSupportInfo, setEnabled, setFocus, setFont, setForegroundColor, setHeight, setHorizontalPosition, setLinkInfo, setModelInterface, setPreferredSize, setPrePainter, setRequiredInterfaces, setTransparent, setVerticalPosition, setViewInterfaceSupportInfo, setVisible, setVisualInterfaceSupportInfo, setWidth, superGetFont, superGetMinimumSize, superGetPreferredSize, superIsEnabled, superIsVisible, superPaint, superSetBounds, superSetEnabled, superSetFont, superSetVisible, superUpdate, supportsListenerInterface, supportsRequiredInterfaces, trapInterfaceEvents, update, validateObject`

Methods inherited from interface com.sas.awt.ContainerInterface
`getComponents, getLayout, invalidate, setLayout, validate`

Methods inherited from interface com.sas.awt.VisualInterface
`computePreferredSize, getBackgroundColor, getBorder, getFont, getForegroundColor, getHeight, getHorizontalPosition, getMinimumSize, getPreferredSize, getPrePainter, getVerticalPosition, getVisualInterfaceSupportInfo, getWidth, isEnabled, isFocus, isTransparent, isVisible, setBackgroundColor, setBorder, setBounds, setEnabled, setFocus, setFont, setForegroundColor, setHeight, setHorizontalPosition, setPreferredSize, setPrePainter, setTransparent, setVerticalPosition, setVisible, setVisualInterfaceSupportInfo, setWidth, superGetFont, superGetMinimumSize, superGetPreferredSize, superIsEnabled, superIsVisible, superPaint, superSetBounds, superSetEnabled, superSetFont, superSetVisible, superUpdate`

Constructor Detail

### Container

    public Container()

  The default constructor.

  See Also:
    `Component.Component()`

### Container

    public Container(java.awt.LayoutManager layoutManager)

  Constructor that allows a layout manager to be set at creation.

  See Also:
    `Component.Component()`

Method Detail

### getDefaultWidth

    public static int getDefaultWidth()

  Returns the default width for instances of this class

  Returns:
    the default width in pixels
  See Also:
    `setDefaultWidth(int)`

### setDefaultWidth

    public static void setDefaultWidth(int newDefaultWidth)

  Sets the default width of the component. The default width will be used by webAF when creating this component.

  Parameters:
    `newDefaultWidth` - the new default width in pixels
  See Also:
    `getDefaultWidth()`

### getDefaultHeight

    public static int getDefaultHeight()

  Returns the default height for instances of this class

  Returns:
    the default height in pixels
  See Also:
    `setDefaultHeight(int)`

### setDefaultHeight

    public static void setDefaultHeight(int newDefaultHeight)

  Sets the default height of the component. The default height will be used by webAF when creating this component.

  Parameters:
    `newDefaultHeight` - the new default height in pixels
  See Also:
    `getDefaultHeight()`

### getExtendedBeanInfo

    public static com.sas.beans.ExtendedBeanInfo getExtendedBeanInfo()

  Returns the ExtendedBeanInfo for this class.

  Returns:
    ExtendedBeanInfo for this class

### setDefaultValues

    public void setDefaultValues()

  Sets default values which are different than the parent classes.

  Specified by:
    `setDefaultValues` in interface `ContainerInterface`
  Specified by:
    `setDefaultValues` in interface `VisualInterface`
  Specified by:
    `setDefaultValues` in interface `com.sas.ComponentInterface`
  Overrides:
    `setDefaultValues` in class `ContainerContainerComponent`
  See Also:
    `ContainerInterface.setDefaultValues()`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.